import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class NavigatorUtils{

  static void pushPage(BuildContext context, Widget page){
    if(context == null || page == null){
      return;
    }

    Navigator.push(context, CupertinoPageRoute<void>(
        builder: (ctx) => page
    ));
  }

//
//  static void pushWeb(
//      BuildContext context,
//      {
//        String title,
//        String url,
//      }) {
//    if (context == null) return;
//    Navigator.push(
//        context, new MaterialPageRoute<void>(
//        builder: (ctx) => Scaffold(
//          appBar: AppBar(
//            title: Text(title == null ? '' : title),
//          ),
//          body: WebView(
//            initialUrl: url,
//            javascriptMode: JavascriptMode.unrestricted,
//          ),
//        )));
//  }


  ///通过路由注册的名字跳转
  static void pushNamed(BuildContext context, String pageName) {
    Navigator.of(context).pushNamed(pageName);
  }


  ///直接更换当前的页面
  static void pushReplacementNamed(BuildContext context, String pageName) {
    Navigator.of(context).pushReplacementNamed(pageName);
  }
}